Page MenuHomePhabricator

ItemPage.editEntity does not support 'async'
Closed, ResolvedPublic

Description

ItemPage.editEntity does not support 'async' parameter as BasePage.save() does. An implementation should be added, so it can be used in Wikidata bots.

Event Timeline

m4tx created this task.Jan 7 2015, 10:03 PM
m4tx raised the priority of this task from to Needs Triage.
m4tx updated the task description. (Show Details)
m4tx added a subscriber: m4tx.
vadi claimed this task.Dec 12 2015, 11:38 AM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 12 2015, 11:38 AM

Change 258684 had a related patch set uploaded (by Vadiraja.k):
Add async parameter to ItemPage.editEntity

https://gerrit.wikimedia.org/r/258684

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 26 2016, 1:58 PM

Change 258684 merged by jenkins-bot:
[pywikibot/core@master] Add async parameter to ItemPage.editEntity

https://gerrit.wikimedia.org/r/258684

matej_suchanek closed this task as Resolved.Apr 17 2017, 2:00 PM
matej_suchanek removed a project: Patch-For-Review.